#ifdef OPENGL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;

uniform sampler2D texNormal;  
uniform vec2 startPos; 
uniform float distortionWidth;
uniform float distortionStrength; 
uniform float timeFactor;
uniform float screenRatio;
void main()
{
	vec2 dv = startPos.xy - v_texCoord.xy; 
	dv = dv * vec2(screenRatio, 1);
    
	//计算像素点距中点的距离  
	float dis = sqrt(dv.x * dv.x + dv.y * dv.y);
    
    float factor = step(0.0,distortionWidth - dis);
    
    vec3 v1 = texture2D(texNormal, v_texCoord.xy - CC_Time.xy * timeFactor).rgb;
	vec2 n = normalize(v1 + v1 - 1.0).xy * distortionStrength * factor;
    
    vec2 offest = n + v_texCoord;
    
	gl_FragColor = texture2D(CC_Texture0, offest);
}
