#ifdef OPENGL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;

uniform sampler2D tex1;  
uniform sampler2D tex2;  
uniform vec3 percents;

void main()
{
	vec4 color0 = texture2D(CC_Texture0, v_texCoord);
	vec4 color1 = texture2D(tex1, v_texCoord);
	vec4 color2 = texture2D(tex2, v_texCoord);
	
	float factor0 = step(0.0,percents.x - v_texCoord.x);
	float factor1 = step(0.0,percents.y - v_texCoord.x);
	float factor2 = step(0.0,percents.z - v_texCoord.x);
	
	factor2 = factor2 - factor1 * factor2;
	factor1 = factor1 - factor0 * factor1;
	
	//color0 * factor0 + color1 * factor1 + color2 * factor2
    gl_FragColor = color0 * factor0 + color1 * factor1 + color2 * factor2;
}
